import React, { useContext } from 'react';
import { ConfirmContext } from './Confirm';
export const useConfirmContext = useContext(ConfirmContext);
const ConfirmContextProvider = ({
  children
}) => {
  const [confirmOptions, setConfirmOptions] = useState({
    title: 'Confirmation',
    content: '',
    callback: () => {},
    show: false,
    hideCancel: false,
    validateLabel: 'Confirmer'
  });
  const contextValue = useMemo(() => ({
    ...confirmOptions,
    setContext: setConfirmOptions
  }), [confirmOptions]);
  return /*#__PURE__*/React.createElement(ConfirmContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/React.createElement(Confirm, null), children);
};
export default ConfirmContextProvider;